Create conversation rating result
POST
Create a rating result for a specific conversation.
ApiKeyAuth conversation.satisfactionheader
Authorization<token>Scope: conversation.satisfaction
conversationId*integerFormat
int64ratingId*stringThe ratingId parameter has to be the ID of the offer created via invoking the /conversations/{conversationId}/ratings/offer endpoint.
The rating result to be created for a conversation
application/json- body
userId?stringDeprecatedThe userId property is no longer used so it's made optional to keep backwards compatibility. A null value can be provided instead of an actual ID.
ratingResult*||comment?stringsubmittedAt?stringFormat
date-timeThe created conversation rating result
application/json- response
data*curl -X POST 'https://dev.dixa.io/v1/conversations/{conversationId}/ratings/{ratingId}/submit' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "userId": "d3cf6f15-1497-4e71-92f2-9b3b228352bd", "ratingResult": { "value": 4, "_type": "Csat" }, "comment": "Best customer service ever!", "submittedAt": "2024-03-11T16:39:30Z"}'{}
"data": {}
"ratingId": "33cf4e5e-9ce9-461c-b668-be9b712b717c",
"userId": "4c5f7efa-0822-4b75-bdf5-907fa7336e0c",
"ratingResult": {},
"value": 5,
"_type": "Csat"
"comment": "Excellent customer service!",
"submittedAt": "2024-03-11T16:39:30Z"